<id>
YaBB Zodiac for YaBB 2.5
</id>

<version>
1.4
</version>

<mod info>
Description
-----------
This Mod will display Members Zodiac sign in the users profile and message view if the Birthdate field is filled out.

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.
3) Upload Zodiac.lng and Zodiac.pl to their relevant directories in ASCII mode.
4) Upload the Zodiac images folder to the ModImages directory in Binary mode.
5) Go to 'Admin Center - Forum Settings - Show / Hide Items' to enable this feature.

Files to edit
-------------
Admin/ManageTemplates.pl
Admin/Modlist.pl
Admin/NewSettings.pl
Admin/Settings_Main.pl
Sources/Display.pl
Sources/Load.pl
Sources/MyCenter.pl
Sources/Profile.pl
Templates/default/Display.template
Templates/default/MyCenter.template
Templates/yabb21/Display.template
Templates/yabb21/MyCenter.template

Version History
---------------
1.0 - Updated for YaBB 2.2.3 - Derek Barnstorm - 28th July 2008
1.1 - Corrected dates (2.2.3) - 4th August 2008
1.2 - Updated for YaBB 2.3, added enable/disable in Admin Center - 15th October 2008
1.3 - Updated for YaBB 2.4 - 14th April 2009
1.4 - Updated for YaBB 2.5 and added to ManageTemplates.pl - 16th January 2011

### YaBB 2.1 ###
1.0 - First release (2.1) - Ron (Spikecity) - 11th July 2007
1.0a - Fixed residual zodiac signs in thread posts if a user does not have a birthdate filled out. (2.1) - Ron (Spikecity)
</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ManageTemplates.pl
</edit file>

<search for>
		$outblock =~ s/({|<)yabb gender(}|>)//g;
</search for>

<add after>
		$outblock =~ s/({|<)yabb zodiac(}|>)//g;
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_zodiac = "YaBB Zodiac|Spikecity|Shows members zodiac sign.|1.4|16th January 2011";
	push (@installed_mods, "$mod_zodiac");
	
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$showgenderimage = $showgenderimage;			# Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add after>
\$showzodiac = $showzodiac;		            	# Set to 1 to display each member's zodiac sign in view profile and message view
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
&LoadLanguage('Register');
</search for>

<add after>
&LoadLanguage('Zodiac');
</add after>

<search for>
			name => 'showgenderimage',
			validate => 'boolean',
		},
</search for>

<add after>
		{
			description => qq~<label for="showzodiac">$zodiac_txt{'admin'}</label>~,
			input_html => qq~<input type="checkbox" name="showzodiac" id="showzodiac" value="1"${ischecked($showzodiac)} />~,
			name => 'showzodiac',
			validate => 'boolean',
		},
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		$outblock =~ s/({|<)yabb gender(}|>)/${$uid.$musername}{'gender'}/g;
</search for>

<add after>
		$outblock =~ s/({|<)yabb zodiac(}|>)/${$uid.$musername}{'zodiac'}/g;
</add after>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	} else {
		${$uid.$user}{'gender'} = '';
	}
</search for>

<add after>

	if ($showzodiac && ${$uid.$user}{'bday'}) {
	    require "$sourcedir/Zodiac.pl";
	    ${$uid.$user}{'zodiac'} = &get_zodiac(${$uid.$user}{'bday'});
	} else {
	    ${$uid.$user}{'zodiac'} = '';
	}
	
</add after>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
		$myprofileblock =~ s/({|<)yabb gender(}|>)/${$uid.$username}{'gender'}/g;
</search for>

<add after>
		$myprofileblock =~ s/({|<)yabb zodiac(}|>)/${$uid.$username}{'zodiac'}/g;
</add after>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
			$age &nbsp; $isbday
			</div>~;
	}
</search for>

<add after>
    if ($age && $showzodiac) {
        require "$sourcedir/Zodiac.pl";
		$memberzodiac = &get_zodiac(${$uid.$user}{'bday'}, "text");
        $row_zodiac = qq~
            <div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;">
		    <b>$zodiac_txt{'sign'}:</b>
		    </div>
		    <div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">
		    $memberzodiac
		    </div>~;
    }
</add after>

<search for>
	my ($pic_row, $buddybutton, $row_addgrp, $row_gender, $row_age, $row_location, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_myspace, $row_facebook, $row_email, $row_website, $row_signature, $showusertext);
</search for>

<add after>
	my ($row_zodiac);
</add after>

<search for>
			$row_age
</search for>

<add after>
			$row_zodiac
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
	    <b>{yabb gender}</b>
</search for>

<add after>
	    <b>{yabb zodiac}</b>
</add after>

<edit file>
Templates/default/MyCenter.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add after>
 		{yabb zodiac}
</add after>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add after>
		<yabb zodiac>
</add after>

<edit file>
Templates/yabb21/MyCenter.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add after>
		<yabb zodiac>
</add after>